using System;

namespace OrderStacks.model.card.cardType
{
    public class FractionCard : Card
    {

        public static readonly string CARD_FRACTION = "FractionCard";
        public Fraction Fraction { get; set; }

        public FractionCard(Fraction value) : base(value.Result())
        {
            Fraction = value;
        }

        public override bool rapidEffect()
        {
            return false;
        }

        override public String getName()
        {
            return CARD_FRACTION;
        }

        public override string ToString()
        {
            return Fraction.ToString();
        }
    }
}
